Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026426
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2014-04-30 00:542014-05-16 16:04
ReporteregoitzView Statuspublic 
Assigned Tomalsasua 
PriorityurgentResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchFixed in SCM revision76efb0f0d5c9
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP31.2SCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026426: Not possible to show by default the cash payment method with the numeric pad on the screen.

DescriptionNot possible to show by default the cash payment method with the numeric pad on the screen.
Although unchecking the cash checkbox on the pos terminal type window, the pad with the coins is shown by default.

If you do the same on the cash (usd) payment method, and define it as default, it is properly shown by default with the numeric pad.
Steps To Reproduce
-Change the definition of the cash(eur) payment method of the posterminal type by unclicking the cash checkbox.
-Access to the webpos to a pos terminal for the type modified.
-Select a product and click on the pay button
*See that by default the screen with the coins it is shown.

If you do the same for the cash (usd) payment method, after define it as defult you properly see the numeric pad by default.
note: on that case you can not move to the coins (usd) keybord.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067133)
hgbot (developer)
2014-05-14 16:00

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d9788ea2c50079884de932c2a16bb466a0103c1e
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Wed May 14 10:59:51 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d9788ea2c50079884de932c2a16bb466a0103c1e [^]

Fixed issue 26426: Not possible to show by default the cash payment method with the numeric pad on the screen.

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
---
(0067134)
hgbot (developer)
2014-05-14 16:20

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 76efb0f0d5c97b130b11367335c562552ca1208f
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Wed May 14 11:19:48 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/76efb0f0d5c97b130b11367335c562552ca1208f [^]

Fixed issue 26426: Not possible to show by default the cash payment method with the numeric pad on the screen. Changed default value to Yes

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
---
(0067198)
hgbot (developer)
2014-05-16 09:33

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: d9788ea2c50079884de932c2a16bb466a0103c1e
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Wed May 14 10:59:51 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/d9788ea2c50079884de932c2a16bb466a0103c1e [^]

Fixed issue 26426: Not possible to show by default the cash payment method with the numeric pad on the screen.

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
---
(0067199)
hgbot (developer)
2014-05-16 09:33

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: 76efb0f0d5c97b130b11367335c562552ca1208f
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Wed May 14 11:19:48 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/76efb0f0d5c97b130b11367335c562552ca1208f [^]

Fixed issue 26426: Not possible to show by default the cash payment method with the numeric pad on the screen. Changed default value to Yes

---
M src-db/database/model/tables/OBPOS_APP_PAYMENT_TYPE.xml
---
(0067229)
adrianromero (manager)
2014-05-16 16:04

Verified

- Issue History
Date Modified Username Field Change
2014-04-30 00:54 egoitz New Issue
2014-04-30 00:54 egoitz Assigned To => malsasua
2014-04-30 00:54 egoitz Triggers an Emergency Pack => No
2014-05-14 16:00 hgbot Checkin
2014-05-14 16:00 hgbot Note Added: 0067133
2014-05-14 16:00 hgbot Status new => resolved
2014-05-14 16:00 hgbot Resolution open => fixed
2014-05-14 16:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d9788ea2c50079884de932c2a16bb466a0103c1e [^]
2014-05-14 16:20 hgbot Checkin
2014-05-14 16:20 hgbot Note Added: 0067134
2014-05-14 16:20 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d9788ea2c50079884de932c2a16bb466a0103c1e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/76efb0f0d5c97b130b11367335c562552ca1208f [^]
2014-05-16 09:33 hgbot Checkin
2014-05-16 09:33 hgbot Note Added: 0067198
2014-05-16 09:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/76efb0f0d5c97b130b11367335c562552ca1208f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/d9788ea2c50079884de932c2a16bb466a0103c1e [^]
2014-05-16 09:33 hgbot Checkin
2014-05-16 09:33 hgbot Note Added: 0067199
2014-05-16 09:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/d9788ea2c50079884de932c2a16bb466a0103c1e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/76efb0f0d5c97b130b11367335c562552ca1208f [^]
2014-05-16 16:04 adrianromero Review Assigned To => adrianromero
2014-05-16 16:04 adrianromero Note Added: 0067229
2014-05-16 16:04 adrianromero Status resolved => closed
2014-05-16 16:04 adrianromero Fixed in Version => RR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker